//
//  GetViewController.m
//  AFRURLRequester
//
//  Created by Arkady on 05.05.11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "GetViewController.h"


@implementation GetViewController


#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    
    req = [[AFURLRequest alloc] init];
    [self.activityView startAnimating];
    req.GETParameters = @{
        @"username": @"vasyan",
        @"message": @"hello vasyan!"
    };
    req.urlString = @"http://fr.k-r-w.ru/py/posttest.py";
    [req requestWithComplete:^(id responseData, NSError *error) {
        if (error) {
            UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"Failed" message:error.localizedDescription delegate:nil cancelButtonTitle:@"Close" otherButtonTitles: nil];
            [alert show];
        }
        else {
            NSString *responseString = [[NSString alloc] initWithData:responseData encoding:NSUTF8StringEncoding];
            NSLog(@"Response: %@", responseString);
            self.resultTextView.text = responseString;
        }
        self.activityView.hidden = YES;
    }];
}




- (void)viewWillDisappear:(BOOL)animated
{
    [req cancel];
}




#pragma mark - Memory Management

- (void)viewDidUnload
{
    [self setResultTextView:nil];
    [self setActivityView:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}




- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

@end
