//
//  NSString+AFRURLRequest.m
//  AFRURLRequester
//
//  Created by Arkady on 27.03.11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "NSString+AFURLRequest.h"


@implementation NSString (NSString_AFURLRequest)


- (NSString *)returnMD5Hash:(NSString *)concat 
{
    const char *concat_str = [concat UTF8String];
    unsigned char result[CC_MD5_DIGEST_LENGTH];
    CC_MD5(concat_str, strlen(concat_str), result);
    NSMutableString *hash = [NSMutableString string];
    for (int i = 0; i < 16; i++) {
		[hash appendFormat:@"%02X", result[i]];
	}
    return [hash lowercaseString];
}



- (NSString *)freeSpaces
{
    NSString __autoreleasing *result = (__bridge_transfer NSString *)CFURLCreateStringByAddingPercentEscapes(NULL,
                                                                                                             (__bridge CFStringRef)self, 
                                                                                                             NULL, 
                                                                                                             (CFStringRef)@";/?:@&=$+{}<>,",
                                                                                                             kCFStringEncodingUTF8);
    return result;
}


@end
