# Description

Small library for creating url requests. Can parse GET and POST requests from NSDictionary

Detects network statuses: not reachable, reachable wia wi-fi or cell.

Getting results wia blocks

ARC support
	
	
# Usage

1. Import SystemConfiration.framework
2. Add to your project AFURLRequest

## Example
    AFURLRequest *request = [[AFURLRequest alloc] init];
	request.urlString = @"some url";
	request.GETParameters = @{
		@"param1": @"value1",
		@"param2": @"value2"
	};
	[req requestWithComplete:^(id responseData, NSError *error) {
		if (error) {
			UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"Failed" message:error.localizedDescription delegate:nil cancelButtonTitle:@"Close" otherButtonTitles: nil];
			[alert show];
		}
		else {
			NSString *responseString = [[NSString alloc] initWithData:responseData encoding:NSUTF8StringEncoding];
			NSLog(@"Response: %@", responseString);
		}
	}];


See demo in box